com.google.gwt.user.client.ui

## Class ListenerWrapper.WrappedClickListener

- java.lang.Object
- - com.google.gwt.user.client.BaseListenerWrapper<T>
  - - com.google.gwt.user.client.ui.ListenerWrapper<ClickListener>
    - - com.google.gwt.user.client.ui.ListenerWrapper.WrappedClickListener

All Implemented Interfaces:
  ClickHandler, EventHandler

Enclosing class:
  ListenerWrapper<T>

Deprecated.
will be removed in GWT 2.0 along with the listeners being wrapped

    @Deprecated
    public static class ListenerWrapper.WrappedClickListener
    extends ListenerWrapper<ClickListener>
    implements ClickHandler

Wrapper for a `ClickListener`.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.ListenerWrapper

`ListenerWrapper.WrappedChangeListener, ListenerWrapper.WrappedClickListener, ListenerWrapper.WrappedFocusListener, ListenerWrapper.WrappedKeyboardListener, ListenerWrapper.WrappedLoadListener, ListenerWrapper.WrappedLogicalChangeListener<V>, ListenerWrapper.WrappedMouseListener, ListenerWrapper.WrappedMouseWheelListener, ListenerWrapper.WrappedOldDisclosureHandler, ListenerWrapper.WrappedOldFormHandler, ListenerWrapper.WrappedOldSuggestionHandler, ListenerWrapper.WrappedPopupListener, ListenerWrapper.WrappedScrollListener, ListenerWrapper.WrappedTableListener, ListenerWrapper.WrappedTabListener, ListenerWrapper.WrappedTreeListener`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static ListenerWrapper.WrappedClickListener` `add(HasClickHandlers source, ClickListener listener)` Deprecated. will be removed in GWT 2.0 along with the listener classes
`void` `onClick(ClickEvent event)` Deprecated. Called when a native click event is fired.
`static void` `remove(Widget eventSource, ClickListener listener)` Deprecated. will be removed in GWT 2.0 along with the listener classes

### Methods inherited from class com.google.gwt.user.client.ui.ListenerWrapper

`baseRemove, getSource, setSource`

### Methods inherited from class com.google.gwt.user.client.BaseListenerWrapper

`baseRemove, getListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### add

    @Deprecated
    public static ListenerWrapper.WrappedClickListener add(HasClickHandlers source,
                                                                       ClickListener listener)

Deprecated. will be removed in GWT 2.0 along with the listener classes
Adds the wrapped listener.

Parameters:
  `source` - the event source
  `listener` - the listener
Returns:
  the wrapped listener

#### remove

    @Deprecated
    public static void remove(Widget eventSource,
                                          ClickListener listener)

Deprecated. will be removed in GWT 2.0 along with the listener classes
Removes the wrapped listener.

Parameters:
  `eventSource` - the event source from which to remove the wrapped listener
  `listener` - the listener to remove

#### onClick

    public void onClick(ClickEvent event)

Deprecated.
Description copied from interface: `ClickHandler`
Called when a native click event is fired.

Specified by:
  `onClick` in interface `ClickHandler`
Parameters:
  `event` - the `ClickEvent` that was fired